require 'friendlyscore'

module Friendlyscore

	class WhiteLabel < Friendlyscore

		def initialize(url, cid, sec)
			@by            = nil
			@id            = nil
			@client_id     = cid
			@client_secret = sec
			@base_url      = url
		end

		def get_score(partner_user_id=nil)
			if partner_user_id.nil? and @by == 'partner-id'
				partner_user_id = @id
			end

			raise ArgumentError, 'Either argument partner_user_id must be passed or by_partner_id() method must be called before get_score' if partner_user_id.nil?
			token.get '/api/v2/get_score.json', :params => { 'partner_user_id' => partner_user_id }
		end

		def user_facebook_data
			token.get "/api/v2/users/#{@by}/#{@id}/facebook-data.json"
		end

		def user_linkedin_data
			token.get "/api/v2/users/#{@by}/#{@id}/linkedin-data.json"
		end
		
		def user_twitter_data
			token.get "/api/v2/users/#{@by}/#{@id}/twitter-data.json"
		end

		def user_google_data
			token.get "/api/v2/users/#{@by}/#{@id}/google-data.json"
		end

		def user_paypal_data
			token.get "/api/v2/users/#{@by}/#{@id}/paypal-data.json"
		end

		def user_instagram_data
			token.get "/api/v2/users/#{@by}/#{@id}/instagram-data.json"
		end

	end

end
